javax.inject

## Annotation Type Named

-     @Qualifier
      @Documented
      @Retention(value=RUNTIME)
      public @interface Named

  String-based qualifier.

  Example usage:

         public class Car {
           @Inject @Named("driver") Seat driverSeat;
           @Inject @Named("passenger") Seat passengerSeat;
           ...
         }

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `value` The name.

- - ### Element Detail

    - #### value

          public abstract java.lang.String value

      The name.
      Default:
        ""